]> git.pld-linux.org Git - packages/pound.git/commitdiff
- for 0.7
authorareq <areq@pld-linux.org>
Tue, 23 Jul 2002 13:38:27 +0000 (13:38 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
- patch allow ; in URL

Changed files:
    pound-getregexp.patch -> 1.1
    pound.cfg -> 1.1
    pound.init -> 1.1

pound-getregexp.patch [new file with mode: 0644]
pound.cfg [new file with mode: 0644]
pound.init [new file with mode: 0644]

diff --git a/pound-getregexp.patch b/pound-getregexp.patch
new file mode 100644 (file)
index 0000000..abced6c
--- /dev/null
@@ -0,0 +1,17 @@
+--- pound.c.org        Tue Jul 23 05:11:27 2002
++++ pound.c    Tue Jul 23 14:19:28 2002
+@@ -168,12 +168,12 @@
+     config_parse(argc, argv);
+     /* prepare regular expressions */
+-    if(regcomp(&GET, "^GET ([A-Za-z0-9/._$?&=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
+-    || regcomp(&POST, "^POST ([A-Za-z0-9/._$?&=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
+-    || regcomp(&HEAD, "^HEAD ([A-Za-z0-9/._$?&=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
+-    || regcomp(&PUT, "^PUT ([A-Za-z0-9/._$?&=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
++    if(regcomp(&GET, "^GET ([A-Za-z0-9/._$?&;=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
++    || regcomp(&POST, "^POST ([A-Za-z0-9/._$?&;=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
++    || regcomp(&HEAD, "^HEAD ([A-Za-z0-9/._$?&;=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
++    || regcomp(&PUT, "^PUT ([A-Za-z0-9/._$?&;=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
+     || regcomp(&DELETE, "^DELETE ([A-Za-z0-9/._$?&=%+:-]+) HTTP/1.[01]$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
+     || regcomp(&HEADER, "^[A-Za-z][A-Za-z0-9-]*:.*$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
+     || regcomp(&CHUNKED, "^Transfer-encoding: chunked$", REG_ICASE | REG_NEWLINE | REG_EXTENDED)
diff --git a/pound.cfg b/pound.cfg
new file mode 100644 (file)
index 0000000..46c21b6
--- /dev/null
+++ b/pound.cfg
@@ -0,0 +1,23 @@
+User nobody
+Group nobody
+RootJail /usr/share/empty
+ListenHTTP 127.0.0.1,81
+ExtendedHTTP 1
+
+# Images server(s)
+UrlGroup ".*.(jpg|gif)"
+BackEnd 127.0.0.1,80,1
+Session 0
+EndGroup
+
+# Block all requests for /forbidden
+UrlGroup "/forbidden.*"
+Session 0
+EndGroup
+
+# Catch-all server(s)
+UrlGroup ".*"
+BackEnd 127.0.0.1,80,1
+BackEnd 127.0.0.1,80,1
+Session 300
+EndGroup
diff --git a/pound.init b/pound.init
new file mode 100644 (file)
index 0000000..d775089
--- /dev/null
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# pound        
+#
+# chkconfig:   345 85 15
+# description: reverse-proxy and load-balancer
+#
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/pound ] && . /etc/sysconfig/pound
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+        if [ ! -f /var/lock/subsys/network ]; then
+                # nls "ERROR: Networking is down. %s can't be run." pound
+                msg_network_down pound
+                exit 1
+        fi
+else
+        exit 0
+fi
+
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+        if [ ! -f /var/lock/subsys/pound ]; then
+               msg_starting pound
+               daemon pound -f /etc/pound/pound.cfg
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/pound
+       else
+               msg_Already_Running pound
+               exit 1
+       fi
+       ;;
+  stop)
+        # Stop daemons.
+       if [ -f /var/lock/subsys/pound ]; then
+                msg_stopping pound
+                killproc pound
+                rm -f /var/lock/subsys/pound > /dev/null 2>&1
+        else
+               msg_Not_Running pound
+               exit 1
+       fi
+       ;;
+  status)
+       status pound
+       RETVAL=$?
+       exit $RETVAL
+       ;;
+  restart|reload)
+       $0 stop
+       $0 start
+       ;;
+  *)
+       msg_Usage "$0 {start|stop|restart|status}"
+       exit 1
+       ;;
+esac
+
+exit $RETVAL
+
This page took 0.085461 seconds and 4 git commands to generate.